# python Captive Portal

## Installation

Either clone repository (and install dependencies either through distribution or as virtualenv with `./setup-venv.sh`) or install as package.

[`pipx`](https://pypa.github.io/pipx/) (available in debian as package) can be used to install in separate virtual environment:

    pipx install https://github.tik.uni-stuttgart.de/NKS/python-capport

In production put a reverse proxy in front of the local web ui (on 127.0.0.1:8000), and handle `/static` path either to `src/capport/api/static/` or your customized version of static files.

## Customization

Create `custom/templates` and put customized templates (from `src/capport/api/templates`) there.

Create `i18n/<langcode>` folders to put localized templates into (localized extends must use the full `i18n/.../basetmpl` paths though).

Requests with a `setlang=<langcode>` query parameter will set the language and try to store the choice in a session cookie.
